summaryrefslogtreecommitdiffstats
path: root/toolkit/components/protobuf/regenerate_cpp_files.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
commit26a029d407be480d791972afb5975cf62c9360a6 (patch)
treef435a8308119effd964b339f76abb83a57c29483 /toolkit/components/protobuf/regenerate_cpp_files.sh
parentInitial commit. (diff)
downloadfirefox-26a029d407be480d791972afb5975cf62c9360a6.tar.xz
firefox-26a029d407be480d791972afb5975cf62c9360a6.zip
Adding upstream version 124.0.1.upstream/124.0.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'toolkit/components/protobuf/regenerate_cpp_files.sh')
-rwxr-xr-xtoolkit/components/protobuf/regenerate_cpp_files.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/toolkit/components/protobuf/regenerate_cpp_files.sh b/toolkit/components/protobuf/regenerate_cpp_files.sh
new file mode 100755
index 0000000000..848e6f538e
--- /dev/null
+++ b/toolkit/components/protobuf/regenerate_cpp_files.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+set -e
+
+if which protoc >/dev/null ; then
+ echo "Using $(which protoc) to regenerate .pb.cc and .pb.h files."
+else
+ echo "protoc not found in your path. Cannot regenerate the .pb.cc and .pb.h files."
+ exit 1
+fi
+
+regenerate() {
+ DIR="$1"
+ PROTO="$2"
+ echo
+ echo "${DIR}${PROTO}:"
+ pushd "$DIR" >/dev/null
+ protoc --cpp_out=. "$PROTO"
+ popd >/dev/null
+}
+
+cd $(dirname $0)
+cd ../../.. # Top level.
+
+regenerate devtools/shared/heapsnapshot/ CoreDump.proto
+regenerate toolkit/components/reputationservice/chromium/chrome/common/safe_browsing/ csd.proto
+regenerate toolkit/components/url-classifier/chromium/ safebrowsing.proto
+command cp third_party/content_analysis_sdk/proto/content_analysis/sdk/analysis.proto toolkit/components/contentanalysis/content_analysis/sdk/analysis.proto
+regenerate toolkit/components/contentanalysis/content_analysis/sdk/ analysis.proto
+command cp third_party/rust/viaduct/src/fetch_msg_types.proto toolkit/components/viaduct/fetch_msg_types.proto
+regenerate toolkit/components/viaduct/ fetch_msg_types.proto